For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order To Shipment

Shipment creation from an order

This endpoint is used to fulfil orders downloaded by Gsped from marketplaces or e-commerce platforms through its own connectors.

The call to this endpoint generates the shipment using the order's shipping address as the recipient.

Shipment creation from an Order

POST https://api.gsped.it/[INSTANCE]/OrderToShipment

Creates a shipment from an order to get it fulfilled and updated on the e-commerce/marketplace platform

Headers

Name
Type
Description

x-api-key*

String

APIKEY provided by Gsped

Request Body

Name
Type
Description

client_id*

Int

Client ID Gsped

packages*

Int

Number of parcels

order_ref*

String

Order reference

weight*

Float

Order weight

platform

String

Name of the platform the order originates from

labelType

Enum

Possible values are: PDF/ZPL Some couriers may have restrictions

{
  "status": "OK",
  "order_ref": "FC3926207",
  "label_jpg": [
    "base64 label string"
  ],
  "label_pdf": [
    "base64 label string"
  ],
  "label_zpl": [
    "ZPL label string"
  ]
}
{
  "status": "ERROR",
  "error_description": "Ordine non trovato",
  "order_ref": "WrongRif"
}
{
  "status": "ERROR",
  "error_description": "Dati ordine non presenti o in formato sbagliato",
  "order_ref": ""
}

Example code snippets

Last updated